%global realname cowboy
%global upstream extend
%global debug_package %{nil}
%global git_tag cc50778
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0.8.2
Release:	7%{?dist}
Summary:	Small, fast, modular HTTP server written in Erlang
Group:		Development/Languages
License:	ISC
URL:		http://ninenines.eu/
# wget --content-disposition https://github.com/extend/cowboy/tarball/0.8.2
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRequires:	erlang-common_test
BuildRequires:	erlang-ranch
BuildRequires:	erlang-rebar
Requires:	erlang-crypto%{?_isa}
# Lots of functions introduced in R14B
Requires:	erlang-erts%{?_isa} >= R14B
Requires:	erlang-kernel%{?_isa} >= R14B
Requires:	erlang-ranch%{?_isa}
Requires:	erlang-stdlib%{?_isa} >= R14B


%description
Small, fast, modular HTTP server written in Erlang.


%package doc
Summary: Documentation for %{name}
BuildArch: noarch
Group: Documentation
Requires: %{name} = %{version}-%{release}


%description doc
Documentation for %{name}.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
iconv -f iso8859-1 -t utf-8 doc/overview.edoc > doc/overview.edoc.utf8 && mv -f doc/overview.edoc.utf8 doc/overview.edoc
sed -i 's/\r//' examples/websocket/priv/static/jquery.min.js

# FIXME temporary (until we'll have a Fedora JavaScript Packaging Guidelines) remove problematic examples
rm -rf examples/websocket


%build
rebar compile -v
rebar doc -v


%install
install -D -m 644 -p ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -m 644 -p ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 -p ebin/%{realname}_*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%check
# These common_test based tests seems to be broken for a very long time
#rebar ct -v
rebar eunit skip_deps=true -v


%files
%doc AUTHORS CHANGELOG.md LICENSE README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam


%files doc
%doc CONTRIBUTING.md ROADMAP.md doc/ examples/ guide/


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 19 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-4
- Remove dependency on _isa in *-doc sub-package

* Mon Mar 18 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-3
- Temporary remove one problematic example.

* Sun Mar 17 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-2
- Split-off doc subpackage

* Thu Mar 14 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-1
- Ver. 0.8.2

* Fri Jan 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-1
- Intial build
